- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot2< P1, P2 > Class Template Reference

Part of the slot/signal system. More...

`#include <gslot.h>`

## Public Member Functions
| Slot2 ()
| Slot2 (SlotBase *imp, void(*op)(SlotBase *, P1, P2))
| ~Slot2 ()
void | callback (P1 p1, P2 p2)
| Slot2 (const Slot2< P1, P2 > &other)
void | swap (Slot2< P1, P2 > &rhs)
void | operator= (const Slot2< P1, P2 > &rhs)
const SlotBase * | base () const

## Detailed Description

### template<typename P1, typename P2>
class G::Slot2< P1, P2 >

Part of the slot/signal system.

Definition at line 266 of file gslot.h.

## Constructor & Destructor Documentation

template<typename P1, typename P2>

G::Slot2< P1, P2 >::Slot2 | ( |  | ) |
| inline

Definition at line 272 of file gslot.h.

template<typename P1, typename P2>

G::Slot2< P1, P2 >::Slot2 | ( | SlotBase * | imp,
|  | void(*)(SlotBase *, P1, P2) | op
| ) |  |
| inline

Definition at line 273 of file gslot.h.

template<typename P1, typename P2>

G::Slot2< P1, P2 >::~Slot2 | ( |  | ) |
| inline

Definition at line 274 of file gslot.h.

template<typename P1, typename P2>

G::Slot2< P1, P2 >::Slot2 | ( | const Slot2< P1, P2 > & | other | ) |
| inline

Definition at line 276 of file gslot.h.

## Member Function Documentation

template<typename P1, typename P2>

const SlotBase* G::Slot2< P1, P2 >::base | ( |  | ) | const
| inline

Definition at line 279 of file gslot.h.

Referenced by G::Signal2< std::string, std::string >::connect().

template<typename P1, typename P2>

void G::Slot2< P1, P2 >::callback | ( | P1 | p1,
|  | P2 | p2
| ) |  |
| inline

Definition at line 275 of file gslot.h.

Referenced by G::Signal2< std::string, std::string >::emit().

template<typename P1, typename P2>

void G::Slot2< P1, P2 >::operator= | ( | const Slot2< P1, P2 > & | rhs | ) |
| inline

Definition at line 278 of file gslot.h.

template<typename P1, typename P2>

void G::Slot2< P1, P2 >::swap | ( | Slot2< P1, P2 > & | rhs | ) |
| inline

Definition at line 277 of file gslot.h.

Referenced by G::Slot2< std::string, std::string >::operator=().

The documentation for this class was generated from the following file:

- gslot.h